Bug 70120 - On Asus TX300, in CSM mode, with external monitor, failure to log in to X
Summary: On Asus TX300, in CSM mode, with external monitor, failure to log in to X
Status: CLOSED INVALID
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: Intel GFX Bugs mailing list
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-10-04 10:28 UTC by jkp
Modified: 2017-07-24 22:57 UTC (History)
4 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description jkp 2013-10-04 10:28:23 UTC
Moved from https://bugzilla.kernel.org/show_bug.cgi?id=59841

"Not sure if this is relevant or a different bug, but when booting to CSM mode with one or two external monitors (in which case there's no image in the internal monitor), occasionally I can't get past the login screen. Kernel log from the latest case of this kind of failure:

[   33.150719] ------------[ cut here ]------------
[   33.150783] WARNING: CPU: 0 PID: 2865 at drivers/gpu/drm/i915/intel_display.c:822 intel_wait_for_pipe_off+0xf6/0x1c
[   33.150784] pipe_off wait timed out
[   33.150829] Modules linked in: parport_pc(F) ppdev(F) lp(F) parport(F) bnep(F) rfcomm(F) binfmt_misc(F) nls_iso8859
ec_hdmi(F) uvcvideo(F) ax88179_178a(F) snd_hda_codec_realtek(F) videobuf2_vmalloc(F) usbnet(F) videobuf2_memops(F) mii
v(F) hid_multitouch(F) ath3k(F) snd_hda_intel(F) snd_hda_codec(F) snd_hwdep(F) btusb(F) snd_pcm(F) joydev(F) bluetooth
ensor_hub(F) snd_page_alloc(F) snd_seq_midi(F) snd_seq_midi_event(F) asus_nb_wmi(F) asus_wmi(F) snd_rawmidi(F) sparse_
ath9k(F) snd_seq_device(F) ath9k_common(F) snd_timer(F) ath9k_hw(F) ath(F) mac80211(F) cfg80211(F) mac_hid(F) snd(F) p
e(F) serio_raw(F) hid_generic(F) usb_storage(F) usbhid(F) hid(F) wmi(F) ahci(F) libahci(F) i915(F) video(F) i2c_algo_b
) [last unloaded: ipmi_msghandler]
[   33.150843] CPU: 0 PID: 2865 Comm: Xorg Tainted: GF       W    3.11.0 #4
[   33.150845] Hardware name: ASUSTeK COMPUTER INC. TX300CA/TX300CA, BIOS TX300CA.207 01/03/2013
[   33.150851]  0000000000000009 ffff880114cc17b0 ffffffff816a76b9 ffff880114cc17f8
[   33.150855]  ffff880114cc17e8 ffffffff8104d2ac ffff880113980000 0000000000070008
[   33.150858]  00000000fffefb58 ffff880114cc1fd8 ffff8801186bb470 ffff880114cc1848
[   33.150859] Call Trace:
[   33.150870]  [<ffffffff816a76b9>] dump_stack+0x45/0x56
[   33.150877]  [<ffffffff8104d2ac>] warn_slowpath_common+0x8c/0xc0
[   33.150882]  [<ffffffff8104d39c>] warn_slowpath_fmt+0x4c/0x50
[   33.150914]  [<ffffffffa0071e86>] ? i915_read32+0x66/0x140 [i915]
[   33.150948]  [<ffffffffa009d1d6>] intel_wait_for_pipe_off+0xf6/0x1c0 [i915]
[   33.150977]  [<ffffffffa009d33e>] intel_disable_pipe+0x9e/0xb0 [i915]
[   33.151007]  [<ffffffffa009f696>] ironlake_crtc_disable+0xd6/0x8a0 [i915]
[   33.151036]  [<ffffffffa00a3f50>] __intel_set_mode+0x320/0x12b0 [i915]
[   33.151072]  [<ffffffffa00a6f66>] intel_set_mode+0x16/0x30 [i915]
[   33.151101]  [<ffffffffa00a7732>] intel_crtc_set_config+0x7b2/0x980 [i915]
[   33.151131]  [<ffffffffa001165d>] drm_mode_set_config_internal+0x5d/0xe0 [drm]
[   33.151147]  [<ffffffffa0065711>] drm_fb_helper_set_par+0x71/0xf0 [drm_kms_helper]
[   33.151153]  [<ffffffff81397fa5>] fb_set_var+0x1a5/0x470
[   33.151162]  [<ffffffff81255744>] ? __ext4_journal_stop+0x44/0xa0
[   33.151169]  [<ffffffff81085a39>] ? update_curr+0x99/0x180
[   33.151176]  [<ffffffff813a59d1>] fbcon_blank+0x1e1/0x2e0
[   33.151184]  [<ffffffff814119d4>] do_unblank_screen+0xb4/0x1e0
[   33.151191]  [<ffffffff814076c5>] complete_change_console+0x65/0xf0
[   33.151197]  [<ffffffff8140866a>] vt_ioctl+0xf1a/0x1120
[   33.151204]  [<ffffffff81150c94>] ? handle_mm_fault+0x264/0x5d0
[   33.151229]  [<ffffffffa000ab80>] ? drm_setmaster_ioctl+0x120/0x120 [drm]
[   33.151240]  [<ffffffff813fbd58>] tty_ioctl+0x278/0xb10
[   33.151246]  [<ffffffff816b217c>] ? __do_page_fault+0x27c/0x500
[   33.151252]  [<ffffffff8119f46c>] do_vfs_ioctl+0x8c/0x4f0
[   33.151257]  [<ffffffff8118fe81>] ? __sb_end_write+0x31/0x60
[   33.151264]  [<ffffffff8118de5e>] ? vfs_write+0x17e/0x1e0
[   33.151268]  [<ffffffff8119f961>] SyS_ioctl+0x91/0xb0
[   33.151276]  [<ffffffff816b6b46>] system_call_fastpath+0x1a/0x1f
[   33.151280] ---[ end trace 6371fc90ad43927d ]---
[   34.712112] [drm:intel_dp_complete_link_train] *ERROR* failed to train DP, aborting
[   35.067421] [drm:cpt_verify_modeset] *ERROR* mode set failed: pipe A stuck"


"" but is there *anyone* here for whom the CSM or legacy mode *fails*? "

See comment 137, https://bugzilla.kernel.org/show_bug.cgi?id=59841#c137 - I've seen that several times, but it didn't happen always. Could be it fails on only external dislay and possibly even always on external, but not sure. I'm compiling current git://people.freedesktop.org/~danvet/drm-intel to see what happens with it."



"Created attachment 110201 [details] [review]
Dmesg Asus TX300 CSM with patch 110101 and quirk & mod param patches

Here's a dmesg from drm-intel git tree with patch 110101 and my quirk & mod param patches applied.

While the version works fine on UEFI, in CSM mode there's no image on the internal display when an external monitor is connecte, and I can't log in even with the external display. I reported a similar (maybe the same) issue in comment 137."


" Jani Nikula 2013-10-04 09:33:49 UTC

(In reply to jkp from comment #205)
> >I think your failure earlier is because you booted with external display >connected, and BIOS didn't enable the panel.
> 
> Sounds like could well be that.

IIUC, this happens with the otherwise working drm-intel-nightly + CSM combo too? Please file a new bug about this on DRM/Intel at:
https://bugs.freedesktop.org/enter_bug.cgi?product=DRI

We can't tackle all of these in one bug."
Comment 1 jkp 2013-10-04 10:39:44 UTC
Lately at least, it seems the bug appears consistently, thought the timing of when it appears varies somewhat - sometimes before selecting user name, sometimes when typing password. (distrib a recent Ubuntu)
Comment 2 jkp 2013-10-04 10:42:23 UTC
One time I decided to see if I can get X started after logging in to text console, and I did get X started from text console with "startx".

For the Asus TX300 this is not not IMHO a big priority once bug https://bugzilla.kernel.org/show_bug.cgi?id=59841 is fixed to make UEFI mode work properly, but could be for other machines this may be more important, don't know.
Comment 3 Jani Nikula 2013-10-04 11:21:32 UTC
Presumably on some machines we can't light up the edp panel if the BIOS hasn't done that before. I assume booting with the external display connected makes BIOS not light up the panel. OTOH if the BIOS has enabled the panel, we can disable/enable it any number of times. That's the assumption anyway.
Comment 4 Jani Nikula 2013-10-18 11:55:18 UTC
(In reply to jkp from https://bugzilla.kernel.org/show_bug.cgi?id=59841#c227)
> * works in UEFI mode
> * fails in CSM mode when external monitor connected at boot
> * works in CSM mode with external monitor, when external monitor connected
> after boot

jkp, does the flat panel work if you boot TX300 in UEFI mode with external monitor connected? (With the w/a patch from the kernel.org bug.)
Comment 5 jkp 2013-10-18 14:25:42 UTC
Yes, it works fine with external monitor in UEFI mode.
Comment 6 Rodrigo Vivi 2014-10-08 22:20:56 UTC
Is it still happening with newer kernel? (preferably with latest drm-intel-nightly)
Comment 7 Jesse Barnes 2014-12-10 20:33:15 UTC
Timing out on this one.  Hopefully it's long since fixed.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.